List rule executions
- Base URL
-
https://{kibana_url}
- GET /api/alerting/v2/execution_history/rules
- GET /s/{space_id}/api/alerting/v2/execution_history/rules
Get a paginated list of rule execution events.
Required authorization
- Privileges read_alerting-v2-execution-history
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
searchstring · min length: 1 · max length: 256 -
Free-text search. Matches rule name, description or rule ID (case-insensitive). Combined with rule_ids using AND.
-
fromstring · format: date-time · max length: 64 -
Inclusive ISO datetime lower bound on event.start. Defaults to 24 hours before
to, or before the request whentois omitted. Set it to see older executions.
Responses
Returns a paginated list of rule execution events.
Indicates an invalid schema or parameters.
-
codestringrequired -
Stable error code you can branch on, for example
INVALID_SCHEDULEorRULE_ALREADY_EXISTS. -
detailsmap string to object -
Optional structured context whose keys depend on
code. Identifier keys such asrule_id,action_policy_idandgroup_hashare stable, permanent public identifiers. On a 400 request-validation error,details.source(params,query, orbody) names the failing part and is the only guaranteed key. The siblingdetails.errorsmay change. Do not branch on it.
Indicates the request was not authenticated.
-
codestringrequired -
Stable error code you can branch on, for example
INVALID_SCHEDULEorRULE_ALREADY_EXISTS. -
detailsmap string to object -
Optional structured context whose keys depend on
code. Identifier keys such asrule_id,action_policy_idandgroup_hashare stable, permanent public identifiers. On a 400 request-validation error,details.source(params,query, orbody) names the failing part and is the only guaranteed key. The siblingdetails.errorsmay change. Do not branch on it.
Indicates the user does not have the required privileges to perform the request.
-
codestringrequired -
Stable error code you can branch on, for example
INVALID_SCHEDULEorRULE_ALREADY_EXISTS. -
detailsmap string to object -
Optional structured context whose keys depend on
code. Identifier keys such asrule_id,action_policy_idandgroup_hashare stable, permanent public identifiers. On a 400 request-validation error,details.source(params,query, orbody) names the failing part and is the only guaranteed key. The siblingdetails.errorsmay change. Do not branch on it.
Indicates an unexpected server-side error.
-
codestringrequired -
Stable error code you can branch on, for example
INVALID_SCHEDULEorRULE_ALREADY_EXISTS. -
detailsmap string to object -
Optional structured context whose keys depend on
code. Identifier keys such asrule_id,action_policy_idandgroup_hashare stable, permanent public identifiers. On a 400 request-validation error,details.source(params,query, orbody) names the failing part and is the only guaranteed key. The siblingdetails.errorsmay change. Do not branch on it.
Indicates the alerting engine is disabled by the alerting:v2:enabled advanced setting.
-
codestringrequired -
Stable error code you can branch on, for example
INVALID_SCHEDULEorRULE_ALREADY_EXISTS. -
detailsmap string to object -
Optional structured context whose keys depend on
code. Identifier keys such asrule_id,action_policy_idandgroup_hashare stable, permanent public identifiers. On a 400 request-validation error,details.source(params,query, orbody) names the failing part and is the only guaranteed key. The siblingdetails.errorsmay change. Do not branch on it.